<?php

//Setup available commands array
//$cmds[] is the command that appears in the HTML comment
//$actions[] is the PHP statement that will be executed when the command is found

//Main theme and block commands
//$cmds[0] must be the command to display the modules
//additional commands may be appended or inserted anywhere after modules
$cmds[0] = '[modules]';
         $actions[0] = '';
$cmds[] = '[left-blocks]';
         $actions[] = 'if ($index == 1 || $left_show_all) { blocks("left"); }';
$cmds[] = '[center-blocks]';
         $actions[] = 'if ($index == 1 || $center_show_all) { blocks("center"); }';
$cmds[] = '[right-blocks]';
         $actions[] = 'if ($index == 1 || $right_show_all) { blocks("right"); }';
$cmds[] = '[area1-blocks]';
         $actions[] = 'if ($index == 1 || $area1_show_all) { blocks("1"); }';
$cmds[] = '[area2-blocks]';
         $actions[] = 'if ($index == 1 || $area2_show_all) { blocks("2"); }';
$cmds[] = '[area3-blocks]';
         $actions[] = 'if ($index == 1 || $area3_show_all) { blocks("3"); }';
$cmds[] = '[area4-blocks]';
         $actions[] = 'if ($index == 1 || $area4_show_all) { blocks("4"); }';
$cmds[] = '[area5-blocks]';
         $actions[] = 'if ($index == 1 || $area5_show_all) { blocks("5"); }';
$cmds[] = '[area6-blocks]';
         $actions[] = 'if ($index == 1 || $area6_show_all) { blocks("6"); }';
$cmds[] = '[area7-blocks]';
         $actions[] = 'if ($index == 1 || $area7_show_all) { blocks("7"); }';
$cmds[] = '[area8-blocks]';
         $actions[] = 'if ($index == 1 || $area8_show_all) { blocks("8"); }';
$cmds[] = '[area9-blocks]';
         $actions[] = 'if ($index == 1 || $area9_show_all) { blocks("9"); }';
$cmds[] = '[top-blocks]';
         $actions[] = 'if ($index == 1 || $top_show_all) { blocks("top"); }';
$cmds[] = '[bottom-blocks]';
         $actions[] = 'if ($index == 1 || $bottom_show_all) { blocks("bottom"); }';
$cmds[] = '[theme-path]';
         $actions[] = 'echo $themepath;';
$cmds[] = '[image-path]';
         $actions[] = 'echo $imgpath;';
$cmds[] = '[banners]';
         $actions[] = 'pnBannerDisplay();';
$cmds[] = '[footer-msg]';
         $actions[] = 'footmsg();';
$cmds[] = '[open-table]';                                                       //New
         $actions[] = 'OpenTable();';
$cmds[] = '[close-table]';                                                      //New
         $actions[] = 'CloseTable();';
$cmds[] = '[open-table2]';                                                      //New
         $actions[] = 'OpenTable2();';
$cmds[] = '[close-table2]';                                                     //New
         $actions[] = 'CloseTable2();';
$cmds[] = '[block-title]';
         $actions[] = 'echo $block[title];';
$cmds[] = '[block-content]';
         $actions[] = 'echo $block[content];';
$cmds[] = '[date]';
         $actions[] = 'echo ml_ftime(_DATELONG, (GetUserTime(time())));';
$cmds[] = '[time]';                                                             //New
         $actions[] = 'echo ml_ftime(_TIMEBRIEF, (GetUserTime(time())));';
$cmds[] = '[user]';
         $actions[] = 'echo $username;';
$cmds[] = '[user-welcome]';                                                     //New 1.1
         $actions[] = 'echo _WELCOME." ".$username;';
$cmds[] = '[user-links]';                                                       //New 1.1
         $actions[] = 'if (!pnUserLoggedIn()) {'
         .'echo "<a href=\"user.php?op=check_age&module=NS-NewUser\">'._NEWACCOUNT.'</a> | '
         .'<a href=\"user.php?op=loginscreen&module=NS-User\">'._LOGIN.'</a>"; }'
         .'else {'
         .'echo "<a href=\"user.php\">'._MYACCOUNT.'</a> | '
         .'<a href=\"user.php?module=NS-User&op=logout\">'._LOGOUT.'</a>"; }';
$cmds[] = '[user-login]';                                                       //New 1.1
          $actions[] = 'if (!pnUserLoggedIn()) {'
          .'echo "<form action=\"user.php\" method=\"post\">\n'
          .'  <span class=\"pn-normal\">'._NICKNAME.'</span>\n'
          .'  <input type=\"text\" name=\"uname\" size=\"14\" maxlength=\"25\">\n'
          .'  <span class=\"pn-normal\">'._PASSWORD.'</span>\n'
          .'  <input type=\"password\" name=\"pass\" size=\"14\" maxlength=\"20\">\n'
          .'  <input type=\"checkbox\" value=\"1\" name=\"rememberme\" />\n'
          .'  <span class=\"pn-normal\">'._REMEMBERME.'</span>\n'
          .'  <input class=\"pn-button\" type=\"submit\" value=\"'._LOGIN.'\" />\n'
          .'  <input type=\"hidden\" name=\"module\" value=\"NS-User\" />\n'
          .'  <input type=\"hidden\" name=\"op\" value=\"login\" />\n'
          .'  <input type=\"hidden\" name=\"url\" value=\"index.php\" />\n'
          .'</form>\n"; }';
$cmds[] = '[site-slogan]';                                                      //New
         $actions[] = 'echo pnConfigGetVar(slogan);';
$cmds[] = '[site-name]';                                                        //New
         $actions[] = 'echo pnConfigGetVar(sitename);';
$cmds[] = '[search]';                                                           //New
         $actions[] = 'echo "<form action=\"modules.php\" method=\"post\">\n'
         .'  <input type=\"hidden\" name=\"name\" value=\"Search\" />\n'
         .'  <input type=\"hidden\" name=\"file\" value=\"index\" />\n'
         .'  <input type=\"hidden\" name=\"op\" value=\"modload\" />\n'
         .'  <input type=\"hidden\" name=\"action\" value=\"search\" />\n'
         .'  <input type=\"hidden\" name=\"active_comments\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_downloads\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_faqs\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_reviews\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_sections\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_stories\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_users\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"active_weblinks\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"overview\" value=\"1\" />\n'
         .'  <input type=\"hidden\" name=\"bool\" value=\"AND\" />\n'
         .'  <input type=\"hidden\" name=\"stories_cat\" value=\"\" />\n'
         .'  <input type=\"hidden\" name=\"stories_topics\" value=\"\" />\n'
         .'  <input type=\"text\" name=\"q\" value=\"\" size=\"12\" />\n'
         .'  <input class=\"pn-button\" type=\"submit\" value=\"'._SEARCH.'\" />\n'
         .'</form>\n";';
         
//Article commands
$cmds[] = '[cat-title]';
          $actions[] = 'echo $preformat[catandtitle];';
$cmds[] = '[posted-by]';
          $actions[] = 'echo _POSTEDBY.": ".$info[informant];';
$cmds[] = '[posted-date-time]';
          $actions[] = 'echo _ON." ".$info[longdatetime];';
$cmds[] = '[topic-image]';
          $actions[] = 'echo $preformat[searchtopic];';
$cmds[] = '[article-summary]';
          $actions[] = 'echo $info[hometext];';
$cmds[] = '[article-full]';
          $actions[] = 'echo $preformat[fulltext];';
$cmds[] = '[article-notes]';
          $actions[] = 'echo $preformat[notes];';
$cmds[] = '[article-more]';
          $actions[] = 'echo $preformat[more];';
$cmds[] = '[article-edit-del]';
          $actions[] = 'if (pnSecAuthAction(0, "Stories::", "::", ACCESS_ADMIN)) {'
          .'echo "[<a href=\"admin.php?module=NS-AddStory&op=EditStory&sid=$info[sid]\">"'
          .'._EDIT."</a> | <a href=\"admin.php?module=NS-AddStory&op=RemoveStory&sid=$info[sid]\">"'
          .'._DELETE."</a> ]"; }';
$cmds[] = '[article-reads]';                                                    //New 1.1
          $actions[] = 'echo $info[counter]." "._READS;';

//Colors used by modules (these are defined in theme.cfg)
$cmds[] = '[color1]';
          $actions[] = 'echo $bgcolor1';
$cmds[] = '[color2]';
          $actions[] = 'echo $bgcolor2';
$cmds[] = '[color3]';
          $actions[] = 'echo $bgcolor3';
$cmds[] = '[color4]';
          $actions[] = 'echo $bgcolor4;';
$cmds[] = '[color5]';
          $actions[] = 'echo $textcolor1;';
$cmds[] = '[color6]';
          $actions[] = 'echo $textcolor2;';

?>
